# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakeBoundedCurve Class Reference

This class implements the mapping between classes
BoundedCurve from Geom, Geom2d and the class BoundedCurve from
StepGeom which describes a BoundedCurve from prostep.
As BoundedCurve is an abstract BoundedCurve this class
is an access to the sub-class required.
.

`#include <GeomToStep_MakeBoundedCurve.hxx>`

Inheritance diagram for GeomToStep_MakeBoundedCurve:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakeBoundedCurve (const Handle(Geom_BoundedCurve)&C)
Standard_EXPORT | GeomToStep_MakeBoundedCurve (const Handle(Geom2d_BoundedCurve)&C)
Standard_EXPORT const Handle_StepGeom_BoundedCurve & | Value () const

## Private Attributes

Handle_StepGeom_BoundedCurve | theBoundedCurve

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakeBoundedCurve::GeomToStep_MakeBoundedCurve | ( | const Handle(Geom_BoundedCurve)& | C | ) |

Standard_EXPORT GeomToStep_MakeBoundedCurve::GeomToStep_MakeBoundedCurve | ( | const Handle(Geom2d_BoundedCurve)& | C | ) |

## Member Function Documentation

void GeomToStep_MakeBoundedCurve::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeBoundedCurve::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeBoundedCurve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_BoundedCurve& GeomToStep_MakeBoundedCurve::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_BoundedCurve GeomToStep_MakeBoundedCurve::theBoundedCurve `[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakeBoundedCurve.hxx